Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/xhtml/pi.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/xhtml/pi.xsl	(revision f5da8e92f71e3009c439a98e4b1ef7004f867bb4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/xhtml/pi.xsl	(revision bbe9b3dad184299d621150c9e55f26864b814857)
@@ -14,130 +14,856 @@
      ******************************************************************** -->
 
-<xsl:template match="processing-instruction()">
-</xsl:template>
-
-<xsl:template match="processing-instruction('dbhtml')">
-  <!-- nop -->
-</xsl:template>
+<doc:reference xmlns=""><info xmlns="http://www.w3.org/1999/xhtml"><title>HTML Processing Instruction Reference</title>
+    <releaseinfo role="meta">
+      $Id$
+    </releaseinfo>
+  </info>
+  <partintro xmlns="http://www.w3.org/1999/xhtml" xml:id="partintro">
+    <title>Introduction</title>
+    <para>This is generated reference documentation for all
+      user-specifiable processing instructions (PIs) in the DocBook
+      XSL stylesheets for HTML output.
+      <note>
+        <para>You add these PIs at particular points in a document to
+          cause specific &#8220;exceptions&#8221; to formatting/output behavior. To
+          make global changes in formatting/output behavior across an
+          entire document, it&#8217;s better to do it by setting an
+          appropriate stylesheet parameter (if there is one).</para>
+      </note>
+    </para>
+  </partintro>
+</doc:reference>
 
 <!-- ==================================================================== -->
 
-<xsl:template name="dbhtml-attribute">
-  <xsl:param name="pis" select="processing-instruction('dbhtml')"/>
-  <xsl:param name="attribute">filename</xsl:param>
-
+<doc:pi xmlns="" name="dbhtml_background-color">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Sets background color for an image</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml background-color</tag> PI before or
+      after an image (<tag>graphic</tag>, <tag>inlinegraphic</tag>,
+      <tag>imagedata</tag>, or <tag>videodata</tag> element) as a
+      sibling to the element, to set a background color for the
+      image.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml background-color="<replaceable>color</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>background-color="<replaceable>color</replaceable>"</term>
+        <listitem>
+          <para>An HTML color value</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="BGcolor.html">Background color</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_background-color">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'background-color'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_bgcolor">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Sets background color on a table row or table cell</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml bgcolor</tag> PI as child of a table row
+      or cell to set a background color for that table row or cell.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml bgcolor="<replaceable>color</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>bgcolor="<replaceable>color</replaceable>"</term>
+        <listitem>
+          <para>An HTML color value</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="BGtableColor.html#CellBGColor">Cell background color</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_bgcolor">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'bgcolor'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_cellpadding">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies cellpadding in table or qandaset output</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml cellpadding</tag> PI as a child of a
+      <tag>table</tag> or <tag>qandaset</tag> to specify the value
+      for the HTML <literal>cellpadding</literal> attribute in the
+      output HTML table.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml cellpadding="<replaceable>number</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>cellpadding="<replaceable>number</replaceable>"</term>
+        <listitem>
+          <para>Specifies the cellpadding</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>html.cellpadding</parameter></para>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="CellSpacing.html">Cell spacing and cell padding</link>,
+      <link role="tcg" xlink:href="QandAformat.html">Q and A formatting</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_cellpadding">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'cellpadding'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_cellspacing">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies cellspacing in table or qandaset output</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml cellspacing</tag> PI as a child of a
+      <tag>table</tag> or <tag>qandaset</tag> to specify the value
+      for the HTML <literal>cellspacing</literal> attribute in the
+      output HTML table.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml cellspacing="<replaceable>number</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>cellspacing="<replaceable>number</replaceable>"</term>
+        <listitem>
+          <para>Specifies the cellspacing</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>html.cellspacing</parameter></para>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="CellSpacing.html">Cell spacing and cell padding</link>,
+      <link role="tcg" xlink:href="QandAformat.html">Q and A formatting</link></para>
+    </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_cellspacing">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'cellspacing'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_class">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Set value of the class attribute for a table row</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml class</tag> PI as a child of a
+      <tag>row</tag> to specify a <literal>class</literal>
+      attribute and value in the HTML output for that row.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml class="<replaceable>name</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>class="<replaceable>name</replaceable>"</term>
+        <listitem>
+          <para>Specifies the class name</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="CSSTableCells.html">Table styles in HTML output</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_class">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'class'"/>
+  </xsl:call-template>
+</xsl:template> 
+
+<doc:pi xmlns="" name="dbhtml_dir">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies a directory name in which to write files</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>When chunking output, use the <tag>dbhtml dir</tag> PI
+      as a child of a chunk source to cause the output of that
+      chunk to be written to the specified directory; also, use it
+      as a child of a <tag>mediaobject</tag> to specify a
+      directory into which any long-description files for that
+      <tag>mediaobject</tag> will be written.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml dir="<replaceable>path</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>dir="<replaceable>path</replaceable>"</term>
+        <listitem>
+          <para>Specifies the pathname for the directory</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>base.dir</parameter></para>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="Chunking.html#dbhtmlDirPI">dbhtml dir processing instruction</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_dir">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'dir'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_filename">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies a filename for a chunk</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>When chunking output, use the <tag>dbhtml filename</tag>
+      PI as a child of a chunk source to specify a filename for
+      the output file for that chunk.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml filename="<replaceable>filename</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>filename="<replaceable>path</replaceable>"</term>
+        <listitem>
+          <para>Specifies the filename for the file</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>use.id.as.filename</parameter></para>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="Chunking.html#DbhtmlFilenames">dbhtml filenames</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_filename">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'filename'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_funcsynopsis-style">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies presentation style for a funcsynopsis</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml funcsynopsis-style</tag> PI as a child of
+      a <tag>funcprototype</tag> or anywhere within a funcprototype
+      control the presentation style for the <tag>funcsynopsis</tag>
+      in output.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml funcsynopsis-style="kr"|"ansi"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>funcsynopsis-style="kr"</term>
+        <listitem>
+          <para>Displays the <tag>funcprototype</tag> in K&amp;R style</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>funcsynopsis-style="ansi"</term>
+        <listitem>
+          <para>Displays the <tag>funcprototype</tag> in ANSI style</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>funcsynopsis.style</parameter></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_funcsynopsis-style">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'funcsynopsis-style'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_img.src.path">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies a path to the location of an image file</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml img.src.path</tag> PI before or
+      after an image (<tag>graphic</tag>,
+      <tag>inlinegraphic</tag>, <tag>imagedata</tag>, or
+      <tag>videodata</tag> element) as a sibling to the element,
+      to specify a path to the location of the image; in HTML
+      output, the value specified for the
+      <code>img.src.path</code> attribute is prepended to the
+      filename.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml img.src.path="<replaceable>path</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>img.src.path="<replaceable>path</replaceable>"</term>
+        <listitem>
+          <para>Specifies the pathname to prepend to the name of the image file</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>img.src.path</parameter></para>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="GraphicsLocations.html#UsingFileref">Using fileref</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_img.src.path">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'img.src.path'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_label-width">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies the label width for a qandaset</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml label-width</tag> PI as a child of a
+      <tag>qandaset</tag> to specify the width of labels.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml label-width="<replaceable>width</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>label-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the label width (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="QandAformat.html">Q and A formatting</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_label-width">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'label-width'"/>
+  </xsl:call-template>
+</xsl:template> 
+
+<doc:pi xmlns="" name="dbhtml_linenumbering.everyNth">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies interval for lines numbers in verbatims</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml linenumbering.everyNth</tag> PI as a child
+      of a &#8220;verbatim&#8221; element &#8211; <tag>programlisting</tag>,
+      <tag>screen</tag>, <tag>synopsis</tag> &#8212; to specify
+      the interval at which lines are numbered.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml linenumbering.everyNth="<replaceable>N</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>linenumbering.everyNth="<replaceable>N</replaceable>"</term>
+        <listitem>
+          <para>Specifies numbering interval; a number is output
+            before every <replaceable>N</replaceable>th line</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>linenumbering.everyNth</parameter></para>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="AnnotateListing.html#LineNumbering">Line numbering</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_linenumbering.everyNth">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'linenumbering.everyNth'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_linenumbering.separator">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies separator text for line numbers in verbatims</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml linenumbering.separator</tag> PI as a child
+      of a &#8220;verbatim&#8221; element &#8211; <tag>programlisting</tag>,
+      <tag>screen</tag>, <tag>synopsis</tag> &#8212; to specify
+      the separator text output between the line numbers and content.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml linenumbering.separator="<replaceable>text</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>linenumbering.separator="<replaceable>text</replaceable>"</term>
+        <listitem>
+          <para>Specifies the text (zero or more characters)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>linenumbering.separator</parameter></para>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="AnnotateListing.html#LineNumbering">Line numbering</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_linenumbering.separator">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'linenumbering.separator'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_linenumbering.width">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies width for line numbers in verbatims</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml linenumbering.width</tag> PI as a child
+      of a &#8220;verbatim&#8221; element &#8211; <tag>programlisting</tag>,
+      <tag>screen</tag>, <tag>synopsis</tag> &#8212; to specify
+      the width set aside for line numbers.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml linenumbering.width="<replaceable>width</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>linenumbering.width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the width (inluding units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>linenumbering.width</parameter></para>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="AnnotateListing.html#LineNumbering">Line numbering</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_linenumbering.width">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'linenumbering.width'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_list-presentation">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies presentation style for a variablelist or
+    segmentedlist</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml list-presentation</tag> PI as a child of
+      a <tag>variablelist</tag> or <tag>segmentedlist</tag> to
+      control the presentation style for the list (to cause it, for
+      example, to be displayed as a table).</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml list-presentation="list"|"table"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>list-presentation="list"</term>
+        <listitem>
+          <para>Displays the list as a list</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>list-presentation="table"</term>
+        <listitem>
+          <para>Displays the list as a table</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <itemizedlist>
+      <listitem>
+        <para><parameter>variablelist.as.table</parameter></para>
+      </listitem>
+      <listitem>
+        <para><parameter>segmentedlist.as.table</parameter></para>
+      </listitem>
+    </itemizedlist>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="Variablelists.html#VarListFormatting">Variable list formatting in HTML</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_list-presentation">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'list-presentation'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_list-width">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies the width of a variablelist or simplelist</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml list-width</tag> PI as a child of a
+      <tag>variablelist</tag> or a <tag>simplelist</tag> presented
+      as a table, to specify the output width.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml list-width="<replaceable>width</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>list-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the output width (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="Variablelists.html#VarListFormatting">Variable list formatting in HTML</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_list-width">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'list-width'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_row-height">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies the height for a table row</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml row-height</tag> PI as a child of a
+      <tag>row</tag> to specify the height of the row.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml row-height="<replaceable>height</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>row-height="<replaceable>height</replaceable>"</term>
+        <listitem>
+          <para>Specifies the label height (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="RowHeight.html">Row height</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_row-height">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'row-height'"/>
+  </xsl:call-template>
+</xsl:template> 
+
+<doc:pi xmlns="" name="dbhtml_start">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">(obsolete) Sets the starting number on an ordered list</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para><emphasis>This PI is obsolete</emphasis>. The intent of
+      this PI was to provide a means for setting a specific starting
+      number for an ordered list. Instead of this PI, set a value
+      for the <literal>override</literal> attribute on the first
+      <tag>listitem</tag> in the list; that will have the same
+      effect as what this PI was intended for.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml start="<replaceable>character</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>start="<replaceable>character</replaceable>"</term>
+        <listitem>
+          <para>Specifies the character to use as the starting
+            number; use 0-9, a-z, A-Z, or lowercase or uppercase
+            Roman numerals</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="Orderedlists.html#ListStartNum">List starting number</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_start">
+  <xsl:param name="node" select="."/>
   <xsl:call-template name="pi-attribute">
-    <xsl:with-param name="pis" select="$pis"/>
-    <xsl:with-param name="attribute" select="$attribute"/>
-  </xsl:call-template>
-</xsl:template>
-
-<xsl:template name="dbhtml-filename">
-  <xsl:param name="pis" select="./processing-instruction('dbhtml')"/>
-  <xsl:call-template name="dbhtml-attribute">
-    <xsl:with-param name="pis" select="$pis"/>
-    <xsl:with-param name="attribute">filename</xsl:with-param>
-  </xsl:call-template>
-</xsl:template>
-
-<!--
-<xsl:template name="dbhtml-dir">
-  <xsl:param name="pis" select="./processing-instruction('dbhtml')"/>
-  <xsl:call-template name="dbhtml-attribute">
-    <xsl:with-param name="pis" select="$pis"/>
-    <xsl:with-param name="attribute">dir</xsl:with-param>
-  </xsl:call-template>
-</xsl:template>
--->
-
-<xsl:template name="dbhtml-dir">
-  <xsl:param name="context" select="."/>
-
-  <!-- directories are now inherited from previous levels -->
-
-  <xsl:variable name="ppath">
-    <xsl:if test="$context/parent::*">
-      <xsl:call-template name="dbhtml-dir">
-        <xsl:with-param name="context" select="$context/parent::*"/>
-      </xsl:call-template>
-    </xsl:if>
-  </xsl:variable>
-
-  <xsl:variable name="path">
-    <xsl:call-template name="dbhtml-attribute">
-      <xsl:with-param name="pis" select="$context/processing-instruction('dbhtml')"/>
-      <xsl:with-param name="attribute">dir</xsl:with-param>
-    </xsl:call-template>
-  </xsl:variable>
-
-  <xsl:choose>
-    <xsl:when test="$path = ''">
-      <xsl:if test="$ppath != ''">
-        <xsl:value-of select="$ppath"/>
-      </xsl:if>
-    </xsl:when>
-    <xsl:otherwise>
-      <xsl:if test="$ppath != ''">
-        <xsl:value-of select="$ppath"/>
-        <xsl:if test="substring($ppath, string-length($ppath), 1) != '/'">
-          <xsl:text>/</xsl:text>
-        </xsl:if>
-      </xsl:if>
-      <xsl:value-of select="$path"/>
-      <xsl:text>/</xsl:text>
-    </xsl:otherwise>
-  </xsl:choose>
-</xsl:template>
-
-<!-- ==================================================================== -->
-
-<xsl:template name="process.cmdsynopsis.list">
-  <xsl:param name="cmdsynopses"/><!-- empty node list by default -->
-  <xsl:param name="count" select="1"/>
-
-  <xsl:choose>
-    <xsl:when test="$count&gt;count($cmdsynopses)"/>
-    <xsl:otherwise>
-      <xsl:variable name="cmdsyn" select="$cmdsynopses[$count]"/>
-
-       <dt>
-       <a>
-         <xsl:attribute name="href">
-           <xsl:call-template name="object.id">
-             <xsl:with-param name="object" select="$cmdsyn"/>
-           </xsl:call-template>
-         </xsl:attribute>
-
-         <xsl:choose>
-           <xsl:when test="$cmdsyn/@xreflabel">
-             <xsl:call-template name="xref.xreflabel">
-               <xsl:with-param name="target" select="$cmdsyn"/>
-             </xsl:call-template>
-           </xsl:when>
-           <xsl:otherwise>
-             <xsl:apply-templates select="$cmdsyn" mode="xref-to">
-               <xsl:with-param name="target" select="$cmdsyn"/>
-             </xsl:apply-templates>
-           </xsl:otherwise>
-         </xsl:choose>
-       </a>
-       </dt>
-
-        <xsl:call-template name="process.cmdsynopsis.list">
-          <xsl:with-param name="cmdsynopses" select="$cmdsynopses"/>
-          <xsl:with-param name="count" select="$count+1"/>
-        </xsl:call-template>
-      </xsl:otherwise>
-    </xsl:choose>
-</xsl:template>
-
-<xsl:template match="processing-instruction('dbcmdlist')">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'start'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_table-summary">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies summary for table, variablelist, segmentedlist, or qandaset output</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml table-summary</tag> PI as a child of
+      a <tag>table</tag>, <tag>variablelist</tag>,
+      <tag>segmentedlist</tag>, or <tag>qandaset</tag> to specify
+      the text for the HTML <literal>summary</literal> attribute
+      in the output HTML table.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml table-summary="<replaceable>text</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>table-summary="<replaceable>text</replaceable>"</term>
+        <listitem>
+          <para>Specifies the summary text (zero or more characters)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="Variablelists.html#VarListFormatting">Variable list formatting in HTML</link>,
+      <link role="tcg" xlink:href="TableSummary.html">Table summary text</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_table-summary">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'table-summary'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_table-width">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies the width for a table</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml table-width</tag> PI as a child of a
+      <tag>table</tag> to specify the width of the table in
+      output.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml table-width="<replaceable>width</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>table-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the table width (including units or as a percentage)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>default.table.width</parameter></para>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="Tables.html#TableWidth">Table width</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_table-width">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'table-width'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_term-presentation">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Sets character formatting for terms in a variablelist</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml term-presentation</tag> PI as a child
+      of a <tag>variablelist</tag> to set character formatting for
+      the <tag>term</tag> output of the list.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml term-presentation="bold"|"italic"|"bold-italic"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>term-presentation="<replaceable>bold</replaceable>"</term>
+        <listitem>
+          <para>Specifies that terms are displayed in bold</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>term-presentation="<replaceable>italic</replaceable>"</term>
+        <listitem>
+          <para>Specifies that terms are displayed in italic</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>term-presentation="<replaceable>bold-italic</replaceable>"</term>
+        <listitem>
+          <para>Specifies that terms are displayed in bold-italic</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="Variablelists.html#VarListFormatting">Variable list formatting in HTML</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_term-presentation">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'term-presentation'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_term-separator">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies separator text among terms in a varlistentry</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml term-separator</tag> PI as a child
+      of a <tag>variablelist</tag> to specify the separator text
+      among <tag>term</tag> instances.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml term-separator="<replaceable>text</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>term-separator="<replaceable>text</replaceable>"</term>
+        <listitem>
+          <para>Specifies the text (zero or more characters)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="params">
+    <para><parameter>variablelist.term.separator</parameter></para>
+  </refsee>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="Variablelists.html#VarListFormatting">Variable list formatting in HTML</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_term-separator">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'term-separator'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_term-width">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Specifies the term width for a variablelist</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml term-width</tag> PI as a child of a
+      <tag>variablelist</tag> to specify the width for
+      <tag>term</tag> output.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml term-width="<replaceable>width</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>term-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the term width (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="Variablelists.html#VarListFormatting">Variable list formatting in HTML</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_term-width">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'term-width'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbhtml_toc">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Species whether a TOC should be generated for a qandaset</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbhtml toc</tag> PI as a child of a
+      <tag>qandaset</tag> to specify whether a table of contents
+      (TOC) is generated for the <tag>qandaset</tag>.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbhtml toc="0"|"1"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <variablelist>
+      <varlistentry><term>toc="0"</term>
+        <listitem>
+          <para>If zero, no TOC is generated</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>toc="1"</term>
+        <listitem>
+          <para>If <code>1</code> (or any non-zero value),
+            a TOC is generated</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee xmlns="http://www.w3.org/1999/xhtml" role="tcg">
+    <para><link role="tcg" xlink:href="QandAtoc.html">Q and A list of questions</link>,
+      <link role="tcg" xlink:href="QandAformat.html">Q and A formatting</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbhtml_toc">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbhtml-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbhtml')"/>
+    <xsl:with-param name="attribute" select="'toc'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi xmlns="" name="dbcmdlist">
+  <refpurpose xmlns="http://www.w3.org/1999/xhtml">Generates a hyperlinked list of commands</refpurpose>
+  <refdescription xmlns="http://www.w3.org/1999/xhtml">
+    <para>Use the <tag>dbcmdlist</tag> PI as the child of a
+      <tag>refsynopsisdiv</tag> containing multiple
+      <tag>cmdsynopsis</tag> instances; a hyperlinked navigational
+      &#8220;command list&#8221; will be generated at the top of the
+      <tag>refsynopsisdiv</tag>, enabling users to quickly jump
+      to to each command synopsis.</para>
+  </refdescription>
+  <refsynopsisdiv xmlns="http://www.w3.org/1999/xhtml">
+    <synopsis><tag class="xmlpi">dbcmdlist</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter xmlns="http://www.w3.org/1999/xhtml">
+    <para>[No parameters]</para>
+  </refparameter>
+</doc:pi>
+<xsl:template name="pi.dbcmdlist">
   <xsl:variable name="cmdsynopses" select="..//cmdsynopsis"/>
-
   <xsl:if test="count($cmdsynopses)&lt;1">
     <xsl:message><xsl:text>No cmdsynopsis elements matched dbcmdlist PI, perhaps it's nested too deep?</xsl:text>
     </xsl:message>
   </xsl:if>
-
   <dl>
     <xsl:call-template name="process.cmdsynopsis.list">
